Skip to main content
GET
/
api
/
company
/
kb
/
documents
List knowledge base documents
curl --request GET \
  --url https://app.demand-iq.com/api/company/kb/documents \
  --cookie session=
{
  "documents": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "filename": "<string>",
      "contentType": "<string>",
      "sizeBytes": 123,
      "status": "uploading",
      "createdAt": "2023-11-07T05:31:56Z",
      "displayName": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "count": 123,
    "limit": 123,
    "remaining": 123
  }
}

Authorizations

session
string
cookie
required

Session cookie obtained from POST /api/auth/login.

Response

KB documents

documents
object[]
meta
object